Asterisk Project : Asterisk 11 Application_MacroExclusive This page last changed on Jul 20, 2012 by wikibot. # MacroExclusive() ### Synopsis Exclusive Macro Implementation. ### Description Executes macro defined in the context macro- name. Only one call at a time may run the macro. (we'll wait if another call is busy executing in the Macro) Arguments and return values as in application Macro()
| Warning Use of the application `WaitExten` within a macro will not function as expected. Please use the `Read` application in order to read DTMF from a channel currently executing a macro.
### Syntax
    MacroExclusive(name,arg1,arg2[,...])
##### Arguments `name` - The name of the macro `arg1` `arg2` ### See Also Asterisk 11 Application_Macro ### Import Version This documentation was imported from Asterisk Version SVN-trunk-r370328

Document generated by Confluence on Nov 02, 2012 17:42